'Internal error' when LDAP server name not resolved

2016-06-20 14:45 - Vasili Korol

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.2.2

Description

Sometimes users see an 'internal error' page when trying to log in with their LDAP credentials. I noticed, that this correlates with

some problems with the DNS server in our network - sometimes the name of the LDAP server can not be resolved, and if one tries to

log in to redmine during these periods, they see the error. Problem is gone immediately after dns is up again.

We are using LDAPS, with "users on-the-fly creation" enabled. LDAP users that fail to log in are not new ones - they already exist in

the system.

Environment:

  Redmine version                3.2.2.stable

  Ruby version                   2.0.0-p384 (2014-01-12) [x86_64-linux-gnu]

  Rails version                  4.2.5.2

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  advanced_roadmap_v2            2.4.2

Related issues:

Is duplicate of Redmine - Defect #5592: Better error page on LDAP Authenticat... Closed 2010-05-25

History

#1 - 2016-06-20 15:10 - Toshi MARUYAMA

- Category set to LDAP

#2 - 2016-06-20 15:12 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #5592.

#3 - 2016-06-20 15:12 - Toshi MARUYAMA

- Is duplicate of Defect #5592: Better error page on LDAP Authentication error added
